\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{these_toulon}[10/04/2019 Template Toulon v0.1] %Ne pas supprimer la date entre crochet

\LoadClass[12pt,letterpaper,openright]{book}

%%% extensions minimales
\RequirePackage[utf8]{inputenc}				%% encodage du texte
\RequirePackage[TS1,T1]{fontenc}			%% encodage des fontes
\RequirePackage{lmodern}					%% polices latines
\RequirePackage[english,french]{babel}		%% typographie (français par défaut)
\RequirePackage[babel]{csquotes}			%% guillemets typographiques
\MakeAutoQuote{«}{»}						%% espacement automatique des guillemets

%%% typographie et mise en page
\RequirePackage{textcomp}					%% symboles complémentaires
\RequirePackage{hyphenat}					%% césure explicite
\RequirePackage{microtype}					%% microtypographie
\RequirePackage[margin=2.5cm,bottom=2cm,top=2cm]{geometry}		%% réduit le bas de page pour pouvoir numéroter les pdf insérés (réduire plus si nécessaire)
\RequirePackage{setspace}					%% modification de l'interligne
%%% tableaux et figures
\RequirePackage{float}						%% définit les objets flottants tels que les figures et tableaux
\RequirePackage{graphicx}					%% graphiques et figures
\RequirePackage{caption}					%% légendes des figures
\RequirePackage{tabularx}					%% tableaux
\RequirePackage{multirow}					%% fusion des lignes dans les tableaux 
\RequirePackage{array}						%% amélioration des tableaux
\RequirePackage{booktabs}					%% tables formelles
\RequirePackage[table]{xcolor}
\definecolor{darkred}{rgb}{0.26,0,0}
\usepackage{titlesec}
\newcommand{\sectionbreak}{\clearpage}

\RequirePackage{imakeidx}					%% index

%% choix des profondeurs de section pour la table des matières
%% 2= subsection, 3=subsubsection

\setcounter{secnumdepth}{3}					%% profondeur des sections numérotées
\setcounter{tocdepth}{3}					%% profondeur des sections dans la table des matières

%% ------------------------
%% Légende des figures
%% ------------------------
%% Pour une raison étrange, Babel hard-code l'usage de petites majuscules
%% pour le mot "Figure"; on doit donc le redéfinir
%% (cf. http://tex.stackexchange.com/questions/73639/caption-formatting-with-babel-french)
\captionsetup[figure]{name=Figure}
\captionsetup[table]{name=Tableau}
\renewcommand{\captionfont}{\normalfont\small\bfseries}

%%% PDF
\RequirePackage{pdfpages}					%% insertion de pdf
\RequirePackage{hyperref}					%% pdf interactifs (charger le package hyperref en dernier)

%\renewcommand{\thefootnote}{\alph{footnote}}		%% format de numérotation des notes de bas de page (décommenter)
%\let\footnote=\endnote								%% passe les footnote en endnote (décommenter)

\usepackage{Manuscript}
